
QGIS Application - Bug report #21846

Crash while closing QGIS

2019-04-14 05:47 PM - Marc Struelens

Status: Feedback

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.6 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29661

Description

User Feedback

I was closing the application after saving different layers in a geopackage (through toolbox processing > database). It also looks that I last

internet connection while closing QGIS (not because of closing QGis).

Report Details

Crash ID: b6e374582c08a74f0b3cd4a4b10d3e831eca662a

Stack Trace

QgsSnapIndicator::~QgsSnapIndicator :

QgsMapCanvas::~QgsMapCanvas :

QgsVectorLayerProperties::`default constructor closure' :

CPLStringList::operator char const * const * :

main :

wcspbrk :

RtlFreeAnsiString :

wcspbrk :

LdrGetDllHandleEx :

LdrGetProcedureAddressEx :

LdrGetProcedureAddressEx :

QGIS Info

QGIS Version: 3.4.6-Madeira

QGIS code revision: commit:cc0e375a9f

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-04-14 08:52 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High
Does it happens always? is what a one time thing? can you try with a new/clean qgis profile (no 3rd party plugins installed)?

#2 - 2019-04-16 07:38 AM - Marc Struelens

- File Knipsel.PNG added

It just happened again...

When closing a project, it crashes sometimes but not always.

I can't try a new/clean qgis because of no administrator rights to change.

But 3.4 was properly installed last week, in other words it is fairly new and clean. Not many plug-ins are installed (see attachment)

Report Details

Crash ID: e481d20e3a0db3f1afd351ee5b0f09a6d5e30f25

Stack Trace

pj_init_plus_ctx :

pj_init_plus_ctx :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::addToCache :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgisApp::~QgisApp :

CPLStringList::operator char const * const * :

main :

wcspbrk :

QGIS Info

QGIS Version: 3.4.6-Madeira

QGIS code revision: commit:cc0e375a9f

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#3 - 2019-04-16 09:53 AM - Giovanni Manghi

Marc Struelens wrote:

It just happened again...

When closing a project, it crashes sometimes but not always.

I can't try a new/clean qgis because of no administrator rights to change.

qgis profiles are in the (system) user folder, so you don't need elevated privileges to add/remove them.

#4 - 2019-04-16 05:08 PM - Marc Struelens

Could you explain me more in detail? It's not about just removing the plug-ins I assume?

Do you have a link with explanation? I am not the big QGIS expert...
It crashed once again

Report Details

Crash ID: 7adf0983bffeb438ec6d2085ed377b18b1296125

Stack Trace

pj_init_plus_ctx :

pj_init_plus_ctx :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsPointLocator::~QgsPointLocator :

QgsSimplifyMethod::createGeometrySimplifier :

QgsVectorLayerProperties::`default constructor closure' :

QWidget::~QWidget :

QWidget::`vftable' :

QGIS Info

QGIS Version: 3.4.6-Madeira

QGIS code revision: commit:cc0e375a9f

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#5 - 2019-04-16 06:22 PM - Giovanni Manghi

Marc Struelens wrote:

Could you explain me more in detail? It's not about just removing the plug-ins I assume?

Do you have a link with explanation? I am not the big QGIS expert...

settings > user profiles > new profile

then do not install any 3rd party plugin and see if is still crashy.

Files

Knipsel.PNG 55.6 KB 2019-04-16 Marc Struelens
